For the complete documentation index, see llms.txt. This page is also available as Markdown.

API sync before contact

Another method for syncing your base is the API sync. For this there are two important methods to implement:

Create a new customer

POST https://account.omnidesk.com/api/v2/customer

Request Body

Name
Type
Description

ticket_id

number

The ticket id to which the customer will be added.

noSync

boolean

If this parameter is set the system will not sync other tickets than the ticket_id to the customer

{{aCustomFieldName}}

string

You can optionally provide custom customer fields to add to the customer information

customer_link_channel

string

The actual email, telephone number (valid E.164) or social media account

lastname

string

Last name of the customer

firstname

string

First name of the customer

brand_id

integer

This provides for which configured brand the customer is created. The brand id can be found in the admin settings tab under brands.

primary_id

string

This is the customer id of your organisation. Can also be an order id for certain businesses

channel_id

string

Options: email, telephone, facebook, twitter

{    "type": "result",    "message": "User created and channel linked."}

Update customer

PUT https://account.omnidesk.com/api/v2/customer/updateCustomer

The customer information fields you provide (e.g. lastname, firstname) are optional. If you do not provide a field in your request it will not get updated.

Request Body

Name
Type
Description

externalPrimaryID

string

Your primary (customer) id.

brandID

string

{{aCustomFieldName}}

string

You can optionally provide custom customer fields to update on the customer

lastname

string

firstname

string

Add channel address

POST https://account.omnidesk.com/api/v2/customer/addchannelonly

Request Body

Name
Type
Description

noSync

boolean

If this parameter is set the system will not sync other tickets with matching contact address

extra_facebook

string

add facebook account to the customer, in this field provide the facebook account

extra_twitter

string

add twitter account to the customer, in this field provide the twitter account

extra_telephone

string

add telephone number (E.164) to the customer, in this field provide the phone number

extra_email

string

add email address to the customer, in this field provide the mail address

brand_id

string

id of the brand of the customer

primary_id

string

Customer id of your organization

Purge data from customer

DELETE https://account.omnidesk.com/api/v2/customer/purgedata

Purges all data linked to this customer.

Request Body

Name
Type
Description

external_id

string

Same as primary_id: the customer id for your organisation.

brand_id

integer

Last updated